package com.company;

/**
 * Cirlcle class implements Shape class
 */
public class Circle extends Shape{
    private int radius;

    /**
     * constructor for the class, sets the radius
     * @param radius int  radius of the circle
     */
    public Circle(int radius){
    this.radius = radius;
    }

    @Override
    public int calculatePerimeter() {
        return (int)Math.round(2*3.14*radius);
    }

    @Override
    public int calculateArea() {
        return (int) Math.round(radius * radius * 3.14);
    }

    @Override
    public void draw() {
        System.out.println("Circle - Area : "+calculateArea()+" - Perimeter : " +calculatePerimeter());
    }

    @Override
    public boolean equals(Shape shape) {
        if(!(shape instanceof Circle)){
            return false;
        }
        return ((Circle) shape).radius == radius;
    }

    @Override
    public String toString() {
        return "Circle, Radius : "+radius+"\n";
    }
}
