package com.company;

import java.util.ArrayList;

/**
 * Paint class keeps and manages all the Shapes that are created
 */
public class Paint {
    /**
     * a list to keep track of all shapes
     */
    private ArrayList<Shape> shapes;

    /**
     * constructor for the class allocates memory
     */
    public Paint(){
        shapes = new ArrayList<>();
    }

    /**
     * adds a new shape to shapes list
     * @param shape new shape to be added
     */
    public void addShape(Shape shape){
        shapes.add(shape);
    }

    /**
     * draws all shapes
     */
    public  void drawAll(){
        for(Shape shape : shapes){
            shape.draw();
        }
    }

    /**
     * prints all shapes
     */
    public void printAll(){
        for(Shape shape : shapes){
            System.out.print(shape);
        }
    }

    /**
     * goes through all shapes and prints them if they are square or an equilateral triangle
     */
    public void describeEqualSides(){
        System.out.println("Shapes with equal sides : ");
        for(Shape shape : shapes){
            if(shape instanceof Triangle && ((Triangle) shape).isEquilateral()){
                System.out.print(shape);
            }
            if(shape instanceof Rectangle && ((Rectangle) shape).isSquare()){
                System.out.print(shape);
            }
        }
    }
}
