package com.company;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * a class that inherits Shape class and hold common features of polygon shapes
 */
public abstract class Polygon extends Shape{
    /**
     * each polygon shape has a number of sides
     */
    public ArrayList<Integer> sides;

    /**
     * constructor for the class gets an unfixed number of sides and adds them to the sides list
     * @param args int  sides of the shape
     */
    public Polygon(Integer... args){
        sides = new ArrayList<>();
        sides.addAll(Arrays.asList(args));
    }

    /**
     * since perimeter calculation is the same for all types of polygons
     * the implementation is done here rather than being individually done for each specific type
     * of polygon
     * @return returns perimeter of the polygon
     */
    @Override
    public int calculatePerimeter(){
        int sum = 0;
        for(int x : sides){
            sum += x;
        }
        return sum;
    }


    public ArrayList<Integer> getSides() {
        return sides;
    }


}
