package com.company;

/**
 * an abstract class that shares common methods among all shapes
 */
public abstract class Shape {

    /**
     * each shape has a method to calcualte its perimeter
     * @return perimeter of the shape
     */
    public abstract int calculatePerimeter();

    /**
     * each shape has a method to calculate its area
     * @return area of the shape
     */
    public abstract int calculateArea();

    /**
     * each shape has a method to print shape type, perimeter, area
     */
    public abstract void draw();

    /**
     * each shape has a method to check if its equal to another shape
     * @param shape Shape  second shape
     * @return true if two shapes are equal, false if not
     */
    public abstract boolean equals(Shape shape);

    /**
     * returns shape information as a String
     * @return shape information as a String
     */
    @Override
    public abstract String toString();
}
