package com.company;

/**
 * Triangle class implements methods from Shape class
 */
public class Triangle extends Polygon{


    public Triangle(int s1,int s2,int s3){
        super(s1,s2,s3);
    }


    @Override
    public int calculateArea() {
        double area;
        int p = calculatePerimeter()/2;
        area = Math.sqrt(p * (p-sides.get(0)) * (p - sides.get(1)) * (p - sides.get(2)));
        return (int)Math.round(area);
    }

    @Override
    public void draw() {
        System.out.println("Triangle - Perimeter : " + calculatePerimeter() +" - Area : " +calculateArea());
    }

    @Override
    public boolean equals(Shape shape) {
        if(!(shape instanceof Triangle)){
            return false;
        }
        int i;
        for(i = 0 ; i < 3 ; i++){
            if(!sides.get(i).equals(((Triangle) shape).sides.get(i))){
                return false;
            }
        }
        return true;
    }

    public boolean isEquilateral(){
        return (sides.get(0).equals(sides.get(1)) && sides.get(1).equals(sides.get(2)));
    }

    @Override
    public String toString() {
        return "Triangle ,side1 : " +sides.get(0)+",side2 : "+sides.get(1)+",side3 : "+sides.get(2)+"\n";
    }

}
