package com.company;

import java.util.ArrayList;

/**
 * Triangle class without inheritance
 */
public class Triangle1 {
    private ArrayList<Integer> sides;

    public Triangle1(int x,int y, int z){
        sides = new ArrayList<>();
        sides.add(x);
        sides.add(y);
        sides.add(z);
    }

    public int calculatePerimeter(){
        return (sides.get(0) + sides.get(1) + sides.get(2));
    }

    public int calculateArea() {
        double area;
        int p = calculatePerimeter()/2;
        area = Math.sqrt(p * (p-sides.get(0)) * (p - sides.get(1)) * (p - sides.get(2)));
        return (int)Math.round(area);
    }

    public void draw() {
        System.out.println("Triangle - Perimeter : " + calculatePerimeter() +" - Area : " +calculateArea());
    };

    public boolean isEquilateral(){
        return (sides.get(0).equals(sides.get(1)) && sides.get(1).equals(sides.get(2)));
    }

    public boolean equals(Triangle1 triangle1){
        return sides.get(0).equals(triangle1.sides.get(0)) && sides.get(1).equals(triangle1.sides.get(1)) && sides.get(2).equals(triangle1.sides.get(2));
    }

    @Override
    public String toString() {
        return "Triangle ,side1 : " +sides.get(0)+",side2 : "+sides.get(1)+",side3 : "+sides.get(2)+"\n";
    }

    public ArrayList<Integer> getSides() {
        return sides;
    }
}
